Upstream information

CVE-2021-20315 at MITRE

Description

A locking protection bypass flaw was found in some versions of gnome-shell as shipped within CentOS Stream 8, when the "Application menu" or "Window list" GNOME extensions are enabled. This flaw allows a physical attacker who has access to a locked system to kill existing applications and start new ones as the locked user, even if the session is still locked.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.6
Vector AV:L/AC:L/Au:N/C:N/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 5.7
Vector CVSS:3.1/AV:P/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:H CVSS:3.1/AV:P/AC:L/PR:N/UI:N/S:U/C:L/I:H/A:L
Access Vector Physical Physical
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None Low
Integrity Impact High High
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1191181 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 gnome-shell Not affected
SUSE CaaS Platform 4.0 gnome-shell Not affected
SUSE Enterprise Storage 6 gnome-shell Not affected
SUSE Linux Enterprise Desktop 12 SP5 gnome-shell Not affected
SUSE Linux Enterprise Desktop 15 SP2 gnome-shell Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 gnome-shell Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS gnome-shell Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS gnome-shell Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 gnome-shell Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 gnome-shell Not affected
SUSE Linux Enterprise Server 12 SP2 BCL gnome-shell Not affected
SUSE Linux Enterprise Server 12 SP3 BCL gnome-shell Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS gnome-shell Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS gnome-shell Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS gnome-shell Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS gnome-shell Not affected
SUSE Linux Enterprise Server 12 SP5 gnome-shell Not affected
SUSE Linux Enterprise Server 15 ESPOS gnome-shell Not affected
SUSE Linux Enterprise Server 15 LTSS gnome-shell Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS gnome-shell Not affected
SUSE Linux Enterprise Server 15 SP2 gnome-shell Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 gnome-shell Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gnome-shell Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gnome-shell Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gnome-shell Not affected
SUSE Linux Enterprise Server for SAP Applications 15 gnome-shell Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gnome-shell Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 gnome-shell Not affected
SUSE Linux Enterprise Storage 7 gnome-shell Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 gnome-shell Not affected
SUSE Linux Enterprise Workstation Extension 15 SP2 gnome-shell Not affected
SUSE Manager Proxy 4.1 gnome-shell Not affected
SUSE Manager Retail Branch Server 4.1 gnome-shell Not affected
SUSE Manager Server 4.1 gnome-shell Not affected
SUSE OpenStack Cloud 8 gnome-shell Not affected
SUSE OpenStack Cloud 9 gnome-shell Not affected
SUSE OpenStack Cloud Crowbar 8 gnome-shell Not affected
SUSE OpenStack Cloud Crowbar 9 gnome-shell Not affected